=== debian/changelog ===
esstra (0.2.0-3) unstable; urgency=medium

  * Add debian/patches/LDFLAGS.patch for hardening
  * Generate esstra manpage
    - Add debian/clean and debian/esstra.manpages
    - Add help2man to debian/control
    - Update debian/rules to generate manpage

 -- Hideki Yamane <henrich@debian.org>  Thu, 31 Jul 2025 15:09:16 +0900

esstra (0.2.0-2) unstable; urgency=medium

  * debian/patches
    - Update patches: Add DEP3 metadata
  * debian/watch
    - Fix it to work

 -- Hideki Yamane <henrich@debian.org>  Tue, 15 Jul 2025 17:59:40 +0200

esstra (0.2.0-1) unstable; urgency=medium

  * New upstream release during DebConf25! :)

  * Upload to unstable
  * debian/patches
    - Drop destdir.patch: merged upstream
    - Refresh strip_extention.patch

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jul 2025 09:22:38 +0200

esstra (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1104228)

 -- Hideki Yamane <henrich@debian.org>  Mon, 19 May 2025 05:50:07 +0900
