=== debian/control ===
Source: esstra
Section: devel
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Rules-Requires-Root: no
Build-Depends:
 help2man, python3-yaml,
 debhelper-compat (= 13),
 gcc-14-plugin-dev,
#TODO: update GCC version semi-automatically
Standards-Version: 4.7.2
Homepage: https://github.com/sony/esstra
Vcs-Browser: https://salsa.debian.org/debian/esstra
Vcs-Git: https://salsa.debian.org/debian/esstra.git

Package: esstra
Architecture: any
Depends:
 python3, python3-yaml,
 ${shlibs:Depends},
 ${misc:Depends},
Description: software suite for Enhancing Software Supply Chain Transparency
 esstra, software suite for Enhancing Software Supply Chain Transparency, aims
 to improve transparency of software supply chains as the name suggests.
 .
 It embeds metadata in resulting binary files at compile time, contains
 information about the source and header files from which the binary file is
 generated.
