=== debian/rules ===
#!/usr/bin/make -f

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr

%:
	dh $@

debian/esstra.1:
	help2man -n "Utility for accessing metadata in binary files embedded by the ESSTRA Core" \
		"$(CURDIR)/util/esstra.py -h" > $@

override_dh_installman: debian/esstra.1
	dh_installman
