=== core/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 SPECFILE := $(shell dirname `gcc -print-libgcc-file-name`)/specs
 
-.PHONY: all clean install install-specs uninstall-specs
+.PHONY: all clean install install-specs uninstall-specs uninstall-core uninstall
 
 all: $(ESSTRACORE)
 
@@ -35,7 +35,7 @@
 	(cd $(THIRD_PARTY_DIR) && git submodule init && git submodule update)
 
 $(ESSTRACORE): $(ESSTRACORE_SOURCES)
-	$(CXX) -shared $(CXXFLAGS) $^ -o $@
+	$(CXX) -shared $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ -o $@
 
 install: $(ESSTRACORE)
 	install -m 755 -d $(INSTALLDIR)
@@ -51,3 +51,8 @@
 
 uninstall-specs: $(SPECFILE)
 	rm -f $(SPECFILE)
+
+uninstall-core:
+	rm -f $(INSTALLDIR)/$(ESSTRACORE)
+
+uninstall: uninstall-core uninstall-specs
