=== debian/changelog ===
esstra (0.3.0-3) unstable; urgency=medium

  * Wrong previous upload, rebuild it and put it properly now...
    (Closes: #1114032)

 -- Hideki Yamane <henrich@debian.org>  Sun, 07 Sep 2025 13:56:11 +0900

esstra (0.3.0-2) unstable; urgency=medium

  * debian/{control,rules}
    - Set dependencies to rebuild with gcc-15, since "gcc" package pulls
      gcc-15 now.

 -- Hideki Yamane <henrich@debian.org>  Thu, 04 Sep 2025 21:58:00 +0900

esstra (0.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/patches
    - Drop some debian/patches files, merged upstream
  * debian/rules
    - Call explicitly python3 for esstra for help2man

 -- Hideki Yamane <henrich@debian.org>  Mon, 01 Sep 2025 16:23:01 +0900

esstra (0.2.0-6) unstable; urgency=medium

  * Add debian/patches/set-path-max.patch to fix build failure on hurd

 -- Hideki Yamane <henrich@debian.org>  Wed, 27 Aug 2025 19:27:45 +0900

esstra (0.2.0-5) unstable; urgency=medium

  * debian/{control,rules}
    - Add dependencies to cc or cpp
    - Avoid incompatibility during GCC minor version changes

 -- Hideki Yamane <henrich@debian.org>  Sun, 24 Aug 2025 22:20:44 +0900

esstra (0.2.0-4) unstable; urgency=medium

  * debian/rules
    - Fix help2man with esstra(.py)
  * debian/patches
    - hardening.patch
      + Drop unnecessary CFLAGS
      + Forwarded to upstream issue
    - Use-gcc-for-sample.patch
      + Add it
  * debian/tests
    - Add autopkgtest

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Aug 2025 23:07:34 +0900
