=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  help2man, python3-yaml,
  debhelper-compat (= 13),
- gcc-14-plugin-dev,
+ gcc-15-plugin-dev,
 #TODO: update GCC version semi-automatically
 Standards-Version: 4.7.2
 Homepage: https://github.com/sony/esstra
@@ -19,6 +19,8 @@
  python3, python3-yaml,
  ${shlibs:Depends},
  ${misc:Depends},
+# GCC does not guarantee its internal ABI/API compatibilities, so specify its versions.
+ gcc-15-base (= ${gccFullVersion}), gcc-15 | g++-15,
 Description: software suite for Enhancing Software Supply Chain Transparency
  esstra, software suite for Enhancing Software Supply Chain Transparency, aims
  to improve transparency of software supply chains as the name suggests.
