=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,12 @@
 
 debian/esstra.1:
 	help2man -n "Utility for accessing metadata in binary files embedded by the ESSTRA Core" \
-		"$(CURDIR)/util/esstra.py -h" > $@
+	--no-info "python3 $(CURDIR)/util/esstra" > $@
 
 override_dh_installman: debian/esstra.1
 	dh_installman
+
+override_dh_gencontrol:
+	echo "gccFullVersion=$(shell dpkg-query --showformat='$${Version}' --show gcc-15-base)" \
+		>> debian/esstra.substvars
+	dh_gencontrol
