=== debian/tests/control ===
Tests: esstra-embed-metadata
Depends: @, make, libc6-dev, gcc
